Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.actions
Class Launch

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.actions.Action
              org.pdfclown.documents.interaction.actions.Launch

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF11)
    public final class Launch

extends Action

'Launch an application' action [PDF:1.6:8.5.3].

Since:
  0.0.7
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `Launch.WinTarget` Windows-specific launch parameters [PDF:1.6:8.5.3].

Constructor Summary
`Launch(Document context, PdfObjectWrapper<?> target)` Creates a launcher.

Method Summary
`Launch` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`EnumSet<OptionsEnum>` | `getOptions()` Gets the action options.
`PdfObjectWrapper<?>` | `getTarget()` Gets the application to be launched or the document to be opened or printed.
`void` | `setOptions(EnumSet<OptionsEnum> value)`
`void` | `setTarget(PdfObjectWrapper<?> value)`

Methods inherited from class org.pdfclown.documents.interaction.actions.Action
`getActions, setActions, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Launch

    public Launch(Document context,
                  PdfObjectWrapper<?> target)

  Creates a launcher.

  Parameters:
    `context` - Document context.
    `target` - Either a `FileSpecification` or a `Launch.WinTarget` representing either an application or a document.

Method Detail

### clone

    public Launch clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `Action`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getOptions

    public EnumSet<OptionsEnum> getOptions()

  Gets the action options.

### getTarget

    public PdfObjectWrapper<?> getTarget()

  Gets the application to be launched or the document to be opened or printed.

  Returns:
    Either a `FileSpecification` or a `Launch.WinTarget`.

### setOptions

    public void setOptions(EnumSet<OptionsEnum> value)

  See Also:
    `getOptions()`

### setTarget

    public void setTarget(PdfObjectWrapper<?> value)

  See Also:
    `getTarget()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.